# H5ai

web server index • https://github.com/lrsjng/h5ai

<!-- metadata -->
* **Category**: Apps
* **Status**: ❸🍎
* **Image**: [`michaeljefferys/docker-h5ai`](https://hub.docker.com/r/michaeljefferys/docker-h5ai), ❸🍎, 3rd-party
* **Healthcheck**: Yes
* **Backups**: No
* **Email**: N/A
* **Tests**: No
* **SSO**: No
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`][abra]
2. Deploy [`coop-cloud/traefik`][cc-traefik]
3. `abra app new h5ai`
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
6. Copy your files to the container, using something like
```
abra app YOURAPPDOMAIN cp foo.mp4 app:/var/www
```

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`compose-stacks/traefik`]: https://git.autonomic.zone/compose-stacks/traefik
